
Geomatic studio models for Gisaf - Task #7843

Include data from the automatic well probes

07/03/2019 11:28 - Philippe May

Status: Closed Start date: 07/03/2019

Priority: Normal Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Well water level probes are being deployed, and the measurements need to be included in Gisaf.

History

#1 - 07/03/2019 11:31 - Philippe May

- Assignee set to Philippe May

Starting this task from a request from Azha to create an account on https://thethingsnetwork.org.

Created avcsrgeomaticsstudio, (email address and password kept with me during the prototype phase, will rationalize this later on).

Azha will assign privileges to this account for the devices.

#2 - 24/05/2019 17:03 - Philippe May

- Status changed from New to Closed

See the script in the git repo avgs_device_interfaces: ttn_live.py.

The list of applications are stored in the DB (table avgs_water.well_remote_monitoring), manage through old-admin -> Water menu.

Set up as a systemd service on gis.csr.av, using:

root@gisaf2:/etc/systemd/system# cat gisaf-live-ttn.service 

[Unit]

Description=Gisaf connection to ttn (The Things Network)

[Service]

Type=simple

User=gisaf

ExecStart=/usr/local/lib/venv/gisaf_python3.7/bin/python /usr/local/gisaf_live/ttn_live.py

[Install]

WantedBy=multi-user.target
